Bug 142642 - guile-tools cannot find tools directory
Summary: guile-tools cannot find tools directory
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: guile   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-11 11:42 UTC by Paul Osmialowski
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 16:39:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Osmialowski 2004-12-11 11:42:52 UTC
Description of problem:
guile-tools tries to find tools in /usr/share/guile/1.6.4 directory
which is not exist. There is /usr/share/guile/1.6 directory instead.

Version-Release number of selected component (if applicable):
guile-1.6.4-14

How reproducible:
Always

Steps to Reproduce:
1. Install guile
2. type guile-tools
3.
  
Actual results:
List of available tools should be written to the console

Expected results:
Error message is written

Additional info:
The solution is to create symbolic link 1.6.4 -> 1.6
Additionally, you can install some old tools ported from guile-1.4
(c2x, make-module-catalog, scan-md-module, slurp) from this package:
http://ai.king.net.pl/guile-1.6-missing-tools.tar.gz guile-tools can
use them.

Comment 1 Phil Knirsch 2004-12-21 16:39:54 UTC
Fixed in latest devel package.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.